Remove exits from install scripts

This commit is contained in:
Henrik Lissner 2017-04-25 19:54:39 -04:00
parent ec8850ec70
commit 1b4d8f9ec7
8 changed files with 8 additions and 18 deletions

View file

@ -2,7 +2,6 @@
if [[ -d "$HOME/.pyenv" ]]; then
>&2 echo "~/.pyenv already exists, can't install."
exit 1
else
git clone https://github.com/yyuu/pyenv.git $HOME/.pyenv
fi

View file

@ -2,7 +2,6 @@
if [[ -d "$HOME/.rbenv" ]]; then
>&2 echo "~/.rbenv already exists, can't install."
exit 1
else
git clone https://github.com/rbenv/rbenv.git $HOME/.rbenv
git clone https://github.com/rbenv/ruby-build.git $HOME/.rbenv/plugins/ruby-build

View file

@ -1,7 +1,5 @@
#!/usr/bin/env bash
command -v nvim >/dev/null || exit
if [[ -d "$HOME/.vim" ]]; then
cd "$HOME/.vim"
make update

View file

@ -7,9 +7,6 @@ case $OSTYPE in
linux*)
if [[ -f /etc/arch-release ]]; then
sudo pacman --needed --noconfirm -S make vim
elif [[ -f /etc/debian_version ]]; then
# TODO
exit 1
fi
;;
esac

View file

@ -9,7 +9,6 @@ case $OSTYPE in
sudo pacman --needed --noconfirm -S vim
elif [[ -f /etc/debian_version ]]; then
sudo apt-get install -y vim
exit 1
fi
;;
esac

View file

@ -1,7 +1,5 @@
#!/bin/bash
command -v git >/dev/null && command -v hub >/dev/null && exit
case "$OSTYPE" in
darwin*)
brew install git hub
@ -11,8 +9,10 @@ case "$OSTYPE" in
sudo pacman --needed --noconfirm -S git hub
elif [[ -f /etc/debian-version ]]; then
sudo apt-get install -y git
if ! command -v hub >/dev/null; then
mkdir -p $HOME/builds && cd $HOME/builds
git clone https://github.com/github/hub.git && cd hub
make install prefix=/usr/local
fi
fi
esac

View file

@ -1,14 +1,12 @@
#!/bin/bash
command -v hg >/dev/null && exit
case "$OSTYPE" in
case $OSTYPE in
darwin*)
brew install mercurial
;;
linux*)
if [ -f /etc/arch-release ]; then
sudo pacman --noconfirm -S mercurial
sudo pacman --needed --noconfirm -S mercurial
elif [ -f /etc/debian-version ]; then
sudo apt-get -y mercurial
fi